#include "ColossusTex.inc"
#include "Items.inc"
#include "colors.inc"
#include "Soldier1_pov.inc"
#include "Soldier2_pov.inc"


#declare Helmet = union{

 #declare r = 0.055;
 
 difference{
   sphere{<0,0,0>r}  
   union{
     sphere{<0,0,0>r-0.001}  
     box{<-10,-10,-10><10,-0.0125,10>}
//     cylinder{<0,0,-10><0,0,0>0.016 scale < 1, 1.5, 1> translate<0.02,0.01,0>} 
//     cylinder{<0,0,-10><0,0,0>0.016 scale < 1, 1.5, 1> translate<-0.02,0.01,0>}    
     cylinder{<-10,0,0><10,0,0>0.03 scale < 1,1,2>     translate<0,0,-0.075>}
   }
   scale<0.7,1.5,1>  
 }
 
 difference{
   
   #declare w = 0.005;
   #declare rr = 0.065;
   cylinder{ <-w,0,0><w,0.0>rr translate 0.05*y} 
   
   union{
     
     sphere{<0,0,0>r-0.002 scale<0.8,1.5,1> }  
     
     box{<-10,-10,-10><10,0,10> rotate 70*x}
   
   }
   pigment{rgb<.5,0,0>}
 }
}


#declare Shoulder = union{
 
 #declare r = .05;
 #declare squash = 1;
 #declare l = 0.05;
 
 difference{
    cylinder{<0,0,0><1,0,0> r scale<1,1,squash>}
    box{<l,-10,-10><10,10,10>rotate -10*z}
 } 
 rotate -15*z
 
}


#declare Centurian = union{

  object{Soldier1 rotate 90*y translate<0.11,0,0.06>}  
  object{Belt(1.1,3,1.9,0.2,.1,.5)  scale 0.0177 translate <0,.09,0>texture{AmourTex2} } 
  object{Shoulder               translate<0.025,.23,0.01>          texture{AmourTex2} } 
  object{Shoulder rotate 180*y translate<-0.025,.23,0.01>          texture{AmourTex2} }   
  
  union{
    cylinder{<0,0,0><0,0.75,0>0.005 pigment{Black}}
    cone{<0,0.75,0>0.015<0,0.8,0>0 pigment{Black}}
    rotate -3*z  
    translate <0.26,-0.37,-0.0125> 
  }
  object{Helmet translate<0,0.304,0>                                texture{AmourTex2}}

}

#declare Centurian2 = union{

  object{Soldier2 scale 0.95 rotate 90*y translate<0.105,0,0.06>}  
  object{Belt(1.1,3,1.9,0.2,.1,.5)  scale 0.017 translate <0,.09,0> texture{AmourTex2} } 
  object{Shoulder               translate<0.025,.21,0.01>          texture{AmourTex2} } 
  object{Shoulder rotate 180*y translate<-0.025,.21,0.01>          texture{AmourTex2} }   
  
  union{
    cylinder{<0,0,0><0,0.75,0>0.005 pigment{Black}}
    cone{<0,0.75,0>0.015<0,0.8,0>0 pigment{Black}}
    rotate 7*z 
    rotate -2*x
    translate <-0.045,-0.37,0.005> 
  }
  object{Helmet scale 0.95 translate<0,0.285,0>                     texture{AmourTex2}}

}


/* 

object{Centurian  scale 2 rotate -45*y translate <0.4,1.25,0>}
object{Centurian2 scale 2 rotate 45*y translate <-0.4,1.25,0>}


camera { location <0, 1, -40>   look_at  < 0, 1.25,    0> angle 3.3 }
//camera { location <0, 1, -40>   look_at  < 0, 0,    0> angle 3 }
          
light_source { <0, 5, -495>   color rgb <1,1,1>*2 shadowless  }  
light_source {<-0, 20, -70>   color rgb <1,1,1>*1.5 shadowless}background { color rgb<0.7607843,0.7490196,0.6470588>  } 
plane{ <0,1,0> , 0 pigment{ rgb<0.052941176470588, 0.076470588235294, 0.105098039215686>} } 

*/